# Uses of Class
org.springframework.test.http.HttpMessageContentConverter

Packages that use HttpMessageContentConverter
Package
Description
org.springframework.test.http
Test support for HTTP concepts.
org.springframework.test.json
Testing support for JSON.
org.springframework.test.web.servlet.assertj
AssertJ support for MockMvc.

## Uses of HttpMessageContentConverter in org.springframework.test.http

Methods in org.springframework.test.http that return HttpMessageContentConverter
Modifier and Type
Method
Description
`static HttpMessageContentConverter`
HttpMessageContentConverter.`of(Iterable<org.springframework.http.converter.HttpMessageConverter<?>> candidates)`
Create an instance with an iterable of the candidates to use.
`static HttpMessageContentConverter`
HttpMessageContentConverter.`of(org.springframework.http.converter.HttpMessageConverter<?>... candidates)`
Create an instance with a vararg of the candidates to use.

## Uses of HttpMessageContentConverter in org.springframework.test.json

Constructors in org.springframework.test.json with parameters of type HttpMessageContentConverter
Modifier
Constructor
Description
`protected`
`AbstractJsonValueAssert(Object actual, Class<?> selfType, HttpMessageContentConverter contentConverter)`
``
`JsonContent(String json, HttpMessageContentConverter contentConverter)`
Create a new `JsonContent` instance with the message converter to use to deserialize content.

## Uses of HttpMessageContentConverter in org.springframework.test.web.servlet.assertj

Constructors in org.springframework.test.web.servlet.assertj with parameters of type HttpMessageContentConverter
Modifier
Constructor
Description
`protected`
`AbstractMockHttpServletResponseAssert(HttpMessageContentConverter contentConverter, ACTUAL actual, Class<?> selfType)`